#!/bin/bash

function exitAfterError
{
  echo "Testfall Error"
  date
}
trap exitAfterError ERR


TC_ALL=`psql --dbname=$DBNAME --tuples-only -c "select uniquename from qa_mask_execution where string_not_null(uniquename)!='' and is_active=1 order by 1"`

cd $WEBAPP/WEB-INF

for TC in ${TC_ALL} ; do
echo -e "-- Start Testfall $TC `date`" 
echo -e "######################################\n\n" 


qa_mask_execution.x "-tc:$TC"


echo -e "-- Ende Testfall $TC `date`" 

echo -e "######################################\n\n" 

done
